Skip to main content
    Ivy Biosciences Docs/Call the platform/API/Reference/Reference/Jobs/GET /v1/jobs/{jobId}/readouts

    GET /v1/jobs/{jobId}/readouts

    Read a job's readouts

    Auth: required. Send an ivy_ API key (Authorization: Bearer ivy_… or X-Ivy-Api-Key), a Clerk session JWT (Authorization: Bearer …) or the Clerk __session cookie (browser sessions). See Authentication.

    Lists the readout rows saved for a job you can read. Rows from the job's legacy readouts table are returned when there are any, ordered by row and then column. Otherwise the route returns rows from the newer readouts table, ordered by well, with channel set to primary, meta set to null and the row and column derived from the well name. A job with no readouts returns an empty rows array.

    Request

    Path parameters

    jobIdstring (uuid)

    Job UUID.

    Responses

    200 OK

    The job's readout rows

    Response shape:

    successenum (true)
    rowsobject[]

    400 Bad Request

    The job id is missing

    Response shape: object

    401 Unauthorized

    Authentication required

    Response shape: object

    403 Forbidden

    You cannot read the job, or it is outside your API key's project scope; code is FORBIDDEN

    Response shape: object

    429 Too Many Requests

    Rate limit exceeded

    Response shape: object

    500 Internal Server Error

    Reading readouts failed

    Response shape: object

    curl -X GET 'https://ivybiosciences.com/api/v1/jobs/{jobId}/readouts' \
      -H "Authorization: Bearer $IVY_API_KEY"

    Was this page helpful?

    Loading...